=== debian/changelog ===
cl-asdf (2:2.21-1) unstable; urgency=low

  * New features:
    * Most importantly, encodings.
      ASDF now lets you specify an :encoding for a system, module or component,
      that is used when loading or compiling Lisp files. See the documentation.
      By default, the only useful value is :utf-8, and
      we recommend you use UTF-8 everywhere.
      We intend to make UTF-8 the default in the future
      (current default is the legacy behavior of using whichever implicit
      default your underlying implementation is currently configured to use).
      An extension asdf-encodings is available that supports more encodings,
      including autodetection of encoding from either emacs-style declaration
      -*- Mode: Lisp ; coding: utf-8 -*- or content.
    * require-system works like load-system, but won't try to load or update
      systems that have already been loaded, as listed by loaded-systems.
      More generally, you can specify a list of systems as :force-not argument
      to load-system and the specified systems won't be loaded or updated.
    * You can specify :force-not and a list of systems when loading a system,
    * You can now specify :hostname in your asdf-output-translations,
      so you can easily share a home directory via the network
      yet split its fasl cache between several subtly different machines.
  * Bug Fixes:
    * lp#982285. since 2.014.4, the default source-registry
      was skipping anything from /usr or XDG_DATA_DIRS,
      because of a missing test in getenv-absolute-pathnames. Fixed in .15.
    * In 2.019.9 aka 2.20, ECL support was broken by using
      a function in the wrong package (defined in cl-user). Fixed in .1.
    * logical-pathname support was somewhat broken since 2.017.6,
      due to the way most implementations fail to read physical namestrings
      when *default-pathname-defaults* is a logical-pathname.
      Fixed, together with other logical-pathname issues,
      and a test case was added to the test suite to ensure no further regression.
      Works great modulo quirks around implementation bugs on CLISP and Allegro.
    * Make upgrading ASDF more robust on CMUCL, LispWorks, SBCL.
  * Minor tweaks:
    * Use :unspecific in pathname components on more implementations.
    * export and/or document more utilities.
    * add a few missing compatfmt for Genera.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 28 Apr 2012 23:55:23 -0400
