## cl-asdf 2.24

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ## MINOR FAIL: xcl (logical pathname issue in asdf-pathname-test.script)
 ## OCCASIONALLY TESTED BY NOT ME: allegromodern (not in my free demo version)
 ## MAJOR FAIL: gclcvs -- COMPILER BUG! Upstream fixed it, but upstream fails to compile.
-## NOT SUPPORTED BY OUR TESTS: cormancl genera rmcl. Manually tested once in a while.
+## NOT SUPPORTED BY OUR TESTS: cormancl genera mkcl rmcl. Manually tested once in a while.
 
 lisp ?= sbcl
 
@@ -22,6 +22,7 @@
 CLISP ?= clisp
 SBCL ?= sbcl
 ECL ?= ecl
+MKCL ?= mkcl
 CMUCL ?= cmucl
 ABCL ?= abcl
 SCL ?= scl
@@ -87,6 +88,7 @@
 	use_clisp () { li="${CLISP} -norc -ansi --quiet --quiet" ; ev="-x" ; } ; \
 	use_sbcl () { li="${SBCL} --noinform --no-userinit" ; ev="--eval" ; } ; \
 	use_ecl () { li="${ECL} -norc" ; ev="-eval" ; } ; \
+	use_mkcl () { li="${MKCL} -norc" ; ev="-eval" ; } ; \
 	use_cmucl () { li="${CMUCL} -noinit" ; ev="-eval" ; } ; \
 	use_abcl () { li="${ABCL} --noinit --nosystem --noinform" ; ev="--eval" ; } ; \
 	use_scl () { li="${SCL} -noinit" ; ev="-eval" ; } ; \
@@ -103,12 +105,16 @@
 	    echo "Testing upgrade from ASDF $${tag} using method $$x" ; \
 	    git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
 	    case ${lisp}:$$tag:$$x in \
-	      ecl:1.*|ecl:2.00*|ecl:2.01[0-6]:*|ecl:2.20:*) \
-		: Skip, because of various ASDF issues ;; \
+	      abcl:2.0[01][1-9]|abcl:2.2[1-2]:*) \
+		: Skip, because it is so damn slow ;; \
 	      ccl:1.*|ccl:2.0[01]*) \
 		: Skip, because ccl broke old asdf ;; \
 	      cmucl:1.*|cmucl:2.00*|cmucl:2.01[0-4]:*) \
 		: Skip, CMUCL has problems before 2.014.7 due to source-registry upgrade ;; \
+	      ecl:1.*|ecl:2.0[01]*|ecl:2.20:*) \
+		: Skip, because of various ASDF issues ;; \
+	      mkcl:1.*|mkcl:2.0[01]*|mkcl:2.2[0-3]:*) \
+		: Skip, because MKCL is only supported starting with 2.24 ;; \
 	      *) (set -x ; \
                   case $$x in \
 		    load-system) l="$$lo (asdf-test::load-asdf-system)" ;; \
