=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
   Milan Zamazal <pdm@zamazal.org>,
+  Christoph Egger <christoph@debian.org>,
   Francois-Rene Rideau <fare@tunes.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
@@ -15,11 +16,13 @@
 Architecture: all
 Recommends: common-lisp-controller, sbcl | lisp-compiler
 Replaces: sbcl-common (<= 1:0.9.13.0-2)
-Conflicts: sbcl-common (<= 1:0.9.13.0-2), common-lisp-controller (<< 7.3)
-Breaks: common-lisp-controller (<< 7.3)
+Breaks: sbcl-common (<= 1:0.9.13.0-2), common-lisp-controller (<< 7.3)
 Depends: ${misc:Depends}
 Description: Another System Definition Facility
  asdf provides a "make" type functions for Common Lisp software.
  It drives compilation and dynamic loading for complex Lisp systems
  with multiple modules and files, and is the de facto standard used
  by free software written in Common Lisp.
+ .
+ Most Common Lisp implementations already provide asdf via (require "asdf"),
+ but not all of them provide an up-to-date version.
