=== debian/changelog ===
cl-asdf (2:3.0.1.2-1) unstable; urgency=low

  ASDF 3.0.1.2 fixes issues with the debian package itself.
  It also includes fixes to run-program and run-shell-command.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 27 May 2013 22:44:50 -0400

cl-asdf (2:3.0.1-1) unstable; urgency=low

  ASDF 3.0.1 is an emergency release for better compatibility with Quicklisp.

  * version-satisfies now uses uiop:version<= for comparison,
    and does not check for a same major version number,
    like version-compatible-p does, which was the
    undocumented behavior since ASDF 1.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 16 May 2013 19:20:28 -0400

cl-asdf (2:3.0.0-1) unstable; urgency=low

  ASDF 3.0.0 is the first official release of ASDF 3;
  ASDF 2.27 to 2.33 were pre-releases.
  Since 2.33, the following changes were done:

  * Portability: have *uninteresting-conditions* be empty by default.
    Move stuff to *usual-uninteresting-conditions*, unused by default.
    Will make the SBCL team happy. Also, fix tests on ABCL.
    Fix regression of program-op on ECL, by implicitly linking in UIOP or ASDF.

  * UIOP: improvements to slurp-input-stream and thus run-program,
    notably accepting T as alias for *standard-output*,
    for better backward-compatibility of the deprecated run-shell-command.
    New macro with-output-file.

  * POIU support enhanced with various tweaks.

  * Build cleanup so make and concatenate-source-op create the same asdf.lisp

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 15 May 2013 23:57:22 -0400

cl-asdf (2:2.33-1) unstable; urgency=low

  ASDF 2.33 is a set of cleanups since 2.32.
  Since previous release 2.32, it includes the following changes:

  * Portability tweaks for ABCL, Allegro, CCL, CLISP, ECL, LispWorks, SBCL.

  * deferred-warning received yet more improvements for CCL.

  * upgrade is made more robust in many cases, notably for ECL, SBCL,
    or when using UIOP with an old ASDF<=2.26.

  * Packages have been tweaked to pass more tests,
    notably wrt what symbols are exported.

  * Image lifecycle support is improved, thanks to deploying ASDF3 for QRes.
    More options for dump-image on CCL; handle reentrance in restore-image.

  * delete-directory-tree, delete-empty-directory, copy-file,
    directory-exists-p, file-exists-p were added to UIOP,
    also better strcat, with reduce/strcat, base-string-p, etc.

  * Recompilation avoided for things already done by defsystem-depends-on.

  * monolithic-fasl-op was fixed in cases when the main system has components.

  * fasl-op and monolithic-fasl-op now work on ABCL trunk and upcoming 1.2.0,
    and will eventually replace the ABCL-JAR contrib.

  * *uninteresting-conditions* was added as a common list of conditions
    shared between the compile-time and load-time muffled conditions.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 04 Apr 2013 01:54:26 -0400

cl-asdf (2:2.32-1) unstable; urgency=low

  ASDF 2.31 is yet another bug fix release in preparation of an upcoming ASDF 3.
  Since previous release 2.31, it includes the following changes:

  * deferred-warning checks are now disabled by default,
    to enhance backward compatibility with ASDF 2.26 and earlier.
    In the future, we will enable them by default,
    but not until we implement a smoother transition plan.

  * UIOP is the new official name for ASDF-DRIVER.
    "Utilities for Implementation- and OS- Portability".
    Old names remain as package and system nicknames:
    . ASDF/DRIVER ASDF-DRIVER ASDF-UTILS

  * require-system so systems may depend on implementation-provided modules.

  * auto-upgrade attempt in operate *before* the implicit find-system.

  * class specification for components can now be a string to be read as a symbol.

  * feature conditional dependencies are now debugged and tested:
    . :depends-on ("some-system" (:feature :foo "other-system))
    we only recommend them for dependencies between systems;
    within systems, we recommend you use feature-conditional components with
    . :if-feature :foo
    and we only provide limited support for the deprecated legacy way of using
    feature-conditionals with a module having :if-component-dep-fails :ignore
    while its components specify things like:
    . :in-order-to ((compile-op (feature :foo)))

  * read-from-file for :version specification is made more useful by using
    the ASDF-USER package rather than CL (into which interning is forbidden)
    to read the files.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 05 Mar 2013 19:35:43 -0500

cl-asdf (2:2.31-1) unstable; urgency=low

  ASDF 2.31 is another bug fix release in preparation of an upcoming ASDF 3.
  Since previous release 2.30, it includes the following changes:

  * *default-encoding* is now UTF-8. As tested with cl-test-grid,
    This is a boon for most programs,
    that will compile in a more predictable way in a wider range of settings.
    A handful of unmaintained outliers still need to be fixed.

  * Downgrade is now explicitly avoided. ASDF will issue a warning
    if your system is misconfigured in a way that specifies downgrade,
    but will then ignore the specified ASDF downgrade.

  * version specifications, when invalid, will lead only to a warning for now;
    a future ASDF3 may restore the behavior of ASDF 2.27,
    that raises an errors when there is a bad :version specification,
    but for now, backward compatibility prevails.

  * ECL support received several bug fixes.

  * precompiled-system support was notably fixed, enabling single-fasl
    deployment of SBCL contribs.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 25 Feb 2013 19:02:14 -0500

cl-asdf (2:2.30-1) unstable; urgency=low

  ASDF 2.30 is another bug fix release in preparation of an upcoming ASDF 3.
  Since previous release 2.29, it includes:

  * syntax around loading .asd files made more backward-compatible,
    by *not* (for now) binding *readtable* and *print-pprint-dispatch*

