## cl-asdf 3.0.1.3

=== Makefile ===
--- 
+++ 
@@ -103,7 +103,7 @@
 		done; \
 	     fi; \
 	done
-	rm -rf build/ LICENSE test/try-reloading-dependency.asd test/hello-world-example
+	rm -rf build/ LICENSE test/try-reloading-dependency.asd test/hello-world-example asdf.lisp
 	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap
 	${MAKE} -C doc clean
