## cl-asdf 3.0.2.4

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 s ?= ${ASDF_TEST_SYSTEMS}
 endif
 
+ifdef ASDF_DEVEL_SOURCE_REGISTRY
+export CL_SOURCE_REGISTRY = ${ASDF_DEVEL_SOURCE_REGISTRY}
+endif
+
 l ?= sbcl
 
 ABCL ?= abcl
@@ -119,7 +123,7 @@
 
 # test-glob has been replaced by t, and lisp by l, easier to type
 test-lisp: build/asdf.lisp
-	@cd test; ${MAKE} clean;./run-tests.sh ${l} ${t}
+	@cd test; ./run-tests.sh ${l} ${t}
 t: test-lisp
 
 test: test-lisp test-clean-load test-load-systems doc
@@ -149,6 +153,7 @@
 test-all-no-stop:
 	-make doc ; for l in ${lisps} ; do make t l=$$l ; make u l=$$l ; done ; true
 
+extract: extract-all-tagged-asdf
 extract-all-tagged-asdf: build/asdf.lisp
 	./test/run-tests.sh -H
 
@@ -157,6 +162,11 @@
 debian-package: mrproper
 	: $${RELEASE:="$$(git tag -l '3.[0-9].[0-9]' | tail -n 1)"} ; echo building package version $$RELEASE ; \
 	git-buildpackage --git-debian-branch=release --git-upstream-branch=release --git-upstream-tag=$$RELEASE --git-tag --git-retag --git-ignore-branch
+
+debian-package-from-master: mrproper
+	: $${RELEASE:="$$(git tag -l '3.[0-9].[0-9]' | tail -n 1)"} ; echo building package version $$RELEASE ; \
+	git-buildpackage --git-debian-branch=master --git-upstream-branch=master --git-upstream-tag=$$RELEASE --git-tag --git-retag --git-ignore-branch
+
 
 # Replace SBCL's ASDF with the current one. -- NOT recommended now that SBCL has ASDF2.
 # for casual users, just use (asdf:load-system :asdf)
@@ -201,6 +211,9 @@
 # make test-load-systems s=fare-all
 # make bump v=3.0
 # edit debian/changelog
+# git commit
+# git tag 3.0 # for example ...
+# make debian-package
 # make release-push archive website debian-package
 # dput mentors ../*.changes
 # send debian mentors request
