=== doc/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 output = asdf.html asdf asdf.pdf asdf.info
 webfiles = index.html .htaccess style.css cclan.png lisp-logo120x80.png favicon.ico ${output}
 intermediate = asdf.cps asdf.log asdf.vr asdf.aux asdf.fn asdf.toc asdf.vrs \
-	asdf.cp asdf.fns asdf.ky asdf.pg asdf.tp
+		asdf.cp asdf.fns asdf.ky asdf.pg asdf.tp asdf.tps
 
 all:	asdf.html asdf.info asdf.pdf manual-html
 
@@ -26,6 +26,7 @@
 
 website: all
 	rsync -av ${webfiles} ${website}
+	rsync -av ../debian/changelog ${website}/changelog
 
 .PHONY: clean veryclean manual-html
 clean:
