=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh_testdir
 	make
 	make -C doc all
+	ln -sf build/asdf.lisp .
 	touch build-stamp
 
 build-arch:
@@ -29,7 +30,6 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_prep -i
-	chmod +x test/run-tests.sh
 	dh_installdirs -i
 	dh_install -i
 	#dh_lisp -i
